LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;

ENTITY musterbench_vhd IS
END musterbench_vhd;

ARCHITECTURE behavior OF musterbench_vhd IS 

	-- Component Declaration for the Unit Under Test (UUT)
	COMPONENT mustervergleich
	PORT(
		A1 : IN std_logic;
		A0 : IN std_logic;
		B1 : IN std_logic;
		B0 : IN std_logic;          
		C : OUT std_logic
		);
	END COMPONENT;

	--Inputs
	SIGNAL A1 :  std_logic := '0';
	SIGNAL A0 :  std_logic := '0';
	SIGNAL B1 :  std_logic := '0';
	SIGNAL B0 :  std_logic := '0';

	--Outputs
	SIGNAL C :  std_logic;

BEGIN

	-- Instantiate the Unit Under Test (UUT)
	uut: mustervergleich PORT MAP(
		A1 => A1,
		A0 => A0,
		B1 => B1,
		B0 => B0,
		C => C
	);

	tb : PROCESS
	BEGIN

		-- Wait 100 ns for global reset to finish
		wait for 100 ns;

		-- Place stimulus here
      -- Hier folgt der eigene Quelltext
		-- +++++++++++++++++++++++++++++++
      A1 <= '0';A0 <= '0';B1 <= '0';B0 <= '0';
		wait for 200 ns;
      A1 <= '0';A0 <= '0';B1 <= '0';B0 <= '1';
		wait for 200 ns;
      A1 <= '0';A0 <= '0';B1 <= '1';B0 <= '0';
		wait for 200 ns;
      A1 <= '0';A0 <= '0';B1 <= '1';B0 <= '1';
		wait for 200 ns;
      
      A1 <= '0';A0 <= '1';B1 <= '0';B0 <= '0';
		wait for 200 ns;
      A1 <= '0';A0 <= '1';B1 <= '0';B0 <= '1';
		wait for 200 ns;
      A1 <= '0';A0 <= '1';B1 <= '1';B0 <= '0';
		wait for 200 ns;
      A1 <= '0';A0 <= '1';B1 <= '1';B0 <= '1';
		wait for 200 ns;
      
      A1 <= '1';A0 <= '0';B1 <= '0';B0 <= '0';
		wait for 200 ns;
      A1 <= '1';A0 <= '0';B1 <= '0';B0 <= '1';
		wait for 200 ns;
      A1 <= '1';A0 <= '0';B1 <= '1';B0 <= '0';
		wait for 200 ns;
      A1 <= '1';A0 <= '0';B1 <= '1';B0 <= '1';
		wait for 200 ns;
      
      A1 <= '1';A0 <= '1';B1 <= '0';B0 <= '0';
		wait for 200 ns;
      A1 <= '1';A0 <= '1';B1 <= '0';B0 <= '1';
		wait for 200 ns;
      A1 <= '1';A0 <= '1';B1 <= '1';B0 <= '0';
		wait for 200 ns;
      A1 <= '1';A0 <= '1';B1 <= '1';B0 <= '1';
		wait for 200 ns;
            		
		-- +++++++++++++++++++++++++++++++
      -- Ende des eigenen Quelltextes
		wait; -- will wait forever
	END PROCESS;

END;
